## wslu 2.0.0

=== Makefile ===
AUTOMAKE_OPTIONS = foreign
HEADER = src/wslu-header
OUTPATH = out
CURPATH = $(shell pwd)

SOURCES := $(wildcard src/*.sh)
ETCFILES := $(wildcard src/etc/*)
OUTFILES := $(wildcard out/*)
MANFILES := $(wildcard docs/*)
INSTEDEXES := $(wildcard /usr/bin/wsl*)
INSTEDMANS := $(wildcard /usr/share/man/man1/wsl*)

all:
	[ -d $(OUTPATH) ] || mkdir $(OUTPATH)
	for file in $(SOURCES); do \
		cat $(HEADER) $$file > $(OUTPATH)/`basename $$file`; \
		mv $(OUTPATH)/`basename $$file` $(OUTPATH)/`basename $$file .sh`; \
	done
	chmod +x $(OUTPATH)/*

link:
	for file in $(OUTFILES); do \
		ln -s $(CURPATH)/$$file /usr/bin/`basename $$file`; \
	done
	for file in $(MANFILES); do \
		ln -s $(CURPATH)/$$file /usr/share/man/man1/`basename $$file`; \
	done
	ln -s $(CURPATH)/src/etc /usr/share/wslu

install:
	install -m755 out/* /usr/bin
	install -m555 docs/* /usr/share/man/man1
	[ -d /usr/share/wslu ] || mkdir -p /usr/share/wslu
	cp src/etc/* /usr/share/wslu

uninstall: 
	for f in $(INSTEDEXES); do \
    	rm -f $$f; \
	done
	for f in $(INSTEDMANS); do \
    	rm -f $$f; \
	done
	rm -rf /usr/share/wslu

clean:
	rm -rf $(OUTPATH)

test:
	PATH="$$CURRENT_PATH/src:$$CURRENT_PATH/out:$$PATH"
	extras/bats/libexec/bats tests/header.bats tests/wslsys.bats tests/wslusc.bats tests/wslupath.bats tests/wslvar.bats tests/wslfetch.bats tests/wslview.bats

=== debian/changelog ===
wslu (2.0.0-0ubuntu2~18.10.0) cosmic; urgency=medium

  * Rebuild for Cosmic (LP: #1818673)

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 19 Mar 2019 11:04:18 +0100

wslu (2.0.0-0ubuntu2) disco; urgency=medium

  * Only Suggest imagemagick and print error message when convert is missing

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 19 Mar 2019 00:04:18 +0100

wslu (2.0.0-0ubuntu1) disco; urgency=medium

  * New upstream release
  * Include src/etc/wsl.ico again in original source.
    The problematic image was replaced by upstream with one with DFSG-free
    license.
  * debian/gbp.conf: Set upstream tag format
  * debian/copyright: Update copyright info
  * Stop shipping mime info for wslview.
    Also drop fixing executable bits of runHidden.vbs
  * Fix running tests
  * Skip interop check in scripts
  * Run full test suite in WSL environments and only a subset on Linux
  * Makefile: Honor DESTDIR
  * debian/dirs: Create install dirs
  * Keep installing the Ubuntu logo as the default for shortcuts
    Using the logo of the distribution makes it visible which WSL
    installation will run the command executed by the shortcut.
  * Stop build-depending on dh-exec, it is not needed anymore
  * Fix one test failing on Windows

 -- Balint Reczey <rbalint@ubuntu.com>  Mon, 18 Mar 2019 13:32:59 +0100

wslu (1.9+dfsg1-0ubuntu1) disco; urgency=medium

  * Initial release

 -- Balint Reczey <rbalint@ubuntu.com>  Mon, 04 Mar 2019 23:32:34 +0100

=== debian/control ===
Source: wslu
Section: admin
Priority: optional
Maintainer: Balint Reczey <rbalint@ubuntu.com>
Build-Depends: bats,
               debhelper (>= 10),
               imagemagick,
               inkscape
Standards-Version: 4.3.0.3
Homepage: https://wslu.patrickwu.space/

Package: wslu
Architecture: all
Depends: ${misc:Depends},
         bc
Suggests: imagemagick
Provides: www-browser
Description: collection of utilities for the Windows 10 Linux Subsystem
 This is a collection of utilities for the Windows 10 Linux Subsystem, such
 as for converting Linux paths to a Windows paths or creating Linux application
 shortcuts on the Windows 10 Desktop.
 .
 Requires Windows 10 Creators Update and higher.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

debian/wsl.ico: debian/cof_orange_hex.svg
	for i in 16 32 48 64 128 256; do inkscape --export-area=40:40:385:385 -w $$i -h $$i -f debian/cof_orange_hex.svg -e debian/cof_orange_hex_$$i.png ; done
	convert debian/cof_orange_hex_*.png debian/wsl.ico

override_dh_auto_install: debian/wsl.ico
	dh_auto_install

override_dh_auto_test:
	if (test -f /proc/sys/fs/binfmt_misc/WSLInterop && grep -q enabled /proc/sys/fs/binfmt_misc/WSLInterop); then \
		mkdir -p extras/bats/libexec && ln -s /usr/bin/bats extras/bats/libexec/ &&\
		dh_auto_test ; \
	else \
		env PATH=out:$$PATH:$$src TERM=xterm; bats tests/header.bats ; \
	fi

override_dh_clean:
	dh_clean debian/cof_orange_hex_*/.png debian/wsl.ico extras/bats/libexec/

## wslu 2.3.2

=== Makefile ===
--- 
+++ 
@@ -46,6 +46,5 @@
 	rm -rf $(OUTPATH)
 
 test:
-	PATH="$$CURRENT_PATH/src:$$CURRENT_PATH/out:$$PATH"
+	PATH="$$CURPATH/src:$$CURPATH/out:$$PATH"
 	extras/bats/libexec/bats tests/header.bats tests/wslsys.bats tests/wslusc.bats tests/wslupath.bats tests/wslvar.bats tests/wslfetch.bats tests/wslview.bats
-

=== debian/changelog ===
wslu (2.3.2-0ubuntu2~16.04.3) xenial; urgency=medium

  * Detect X and PulseAudio in WSL2, too (LP: #1853343)
  * debian/wsl-integration.sh: Use type instead of which for faster execution.
    Also skip all detection steps when pactl and xvinfo are not installed.
  * debian/wsl-integration.sh: Set timeouts for X and PulseAudio detection.
    This fixes long startup time when detection fails after waiting for long.
    (LP: #1855520)
  * Cache results of detecting X and sound server in
    $HOME/.cache/wslu/integration. (LP: #1855898)
    Reuse results when starting new shells in the same running
    WSL Ubuntu instance.

 -- Balint Reczey <rbalint@ubuntu.com>  Wed, 11 Dec 2019 21:33:12 +0100

wslu (2.3.2-0ubuntu2~16.04.2) xenial; urgency=medium

  * Revert previous SRU (LP: #1855520):
    - Revert "debian/wsl-integration.sh: Use type instead of which for faster execution"
    - Revert "Detect X and PulseAudio in WSL2, too"

 -- Balint Reczey <rbalint@ubuntu.com>  Wed, 11 Dec 2019 08:57:49 +0100

wslu (2.3.2-0ubuntu2~16.04.1) xenial; urgency=medium

  * Detect X and PulseAudio in WSL2, too (LP: #1853343)
  * debian/wsl-integration.sh: Use type instead of which for faster execution.
    Also skip all detection steps when pactl and xvinfo are not installed.

 -- Balint Reczey <rbalint@ubuntu.com>  Mon, 25 Nov 2019 12:44:05 +0100

wslu (2.3.2-0ubuntu2~16.04.0) xenial; urgency=medium

  * Backport to Xenial (LP: #1849679)

 -- Balint Reczey <rbalint@ubuntu.com>  Thu, 24 Oct 2019 16:15:20 +0200

wslu (2.3.2-0ubuntu2) focal; urgency=medium

  * Suppress pulseaudio error on starting shell when pulseaudio-utils is installed
    (LP: #1844671)

 -- Balint Reczey <rbalint@ubuntu.com>  Thu, 24 Oct 2019 16:04:32 +0200

wslu (2.3.2-0ubuntu1) eoan; urgency=medium

  [ Sebastien Bacher ]
  * debian/postinst, debian/prerm:
    - register also the www-browser alternative, the non-x-variant is
      used by xdg-open when DISPLAY is unset

  [ Balint Reczey ]
  * New upstream release
    - Fix support for Windows user names with space
  * Add autopkgtest
  * Fix saving configuration when the Windows user name contains space
  * Refresh patches

 -- Balint Reczey <rbalint@ubuntu.com>  Wed, 16 Oct 2019 11:58:38 +0200

wslu (2.3.0-1ubuntu1) eoan; urgency=medium

  * debian/control: Set Vcs-* fields
  * New upstream release
    - Stop changing terminal font when running wsl* commands (LP: #1836208)
  * Refresh patches
  * debian/rules: Run tests in WSL only

 -- Balint Reczey <rbalint@ubuntu.com>  Thu, 01 Aug 2019 12:54:30 +0200

wslu (2.0.0-0ubuntu3) eoan; urgency=medium

  * Set DISPLAY=:0 when an X11 server is running (LP: #1836552)
  * Use PulseAudio if it is running on Windows (LP: #1836552)
  * Set up sound, too, when starting GUI programs via Windows desktop shortcuts
    (LP: #1836552)

 -- Balint Reczey <rbalint@ubuntu.com>  Mon, 15 Jul 2019 12:05:41 +0200

wslu (2.0.0-0ubuntu2~16.04.1) xenial; urgency=medium

  * Set DISPLAY=:0 when an X11 server is running (LP: #1836552)
  * Use PulseAudio if it is running on Windows (LP: #1836552)
  * Set up sound, too, when starting GUI programs via Windows desktop shortcuts
    (LP: #1836552)

 -- Balint Reczey <rbalint@ubuntu.com>  Mon, 15 Jul 2019 13:33:08 +0200

wslu (2.0.0-0ubuntu2~16.04.0) xenial; urgency=medium

  * Rebuild for Xenial (LP: #1818673)
  * Build-depend on debhelper (>= 9) with compat level 9

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 19 Mar 2019 11:04:18 +0100

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,20 @@
 Priority: optional
 Maintainer: Balint Reczey <rbalint@ubuntu.com>
 Build-Depends: bats,
-               debhelper (>= 10),
+               debhelper (>= 9),
                imagemagick,
                inkscape
 Standards-Version: 4.3.0.3
+Vcs-Git: https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/wslu -b ubuntu/master
+Vcs-Browser:  https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/wslu
 Homepage: https://wslu.patrickwu.space/
 
 Package: wslu
 Architecture: all
 Depends: ${misc:Depends},
          bc
+Recommends: pulseaudio-utils,
+            x11-utils
 Suggests: imagemagick
 Provides: www-browser
 Description: collection of utilities for the Windows 10 Linux Subsystem

=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,7 @@
 		mkdir -p extras/bats/libexec && ln -s /usr/bin/bats extras/bats/libexec/ &&\
 		dh_auto_test ; \
 	else \
-		env PATH=out:$$PATH:$$src TERM=xterm; bats tests/header.bats ; \
+		echo "Skipping tests, they pass in WSL only with WSLInterop enabled"; \
 	fi
 
 override_dh_clean:

## wslu 2.3.6

=== Makefile ===
--- 
+++ 
@@ -46,5 +46,5 @@
 	rm -rf $(OUTPATH)
 
 test:
-	PATH="$$CURPATH/src:$$CURPATH/out:$$PATH"
+	PATH="$(CURPATH)/src:$(CURPATH)/out:$$PATH"
 	extras/bats/libexec/bats tests/header.bats tests/wslsys.bats tests/wslusc.bats tests/wslupath.bats tests/wslvar.bats tests/wslfetch.bats tests/wslview.bats

=== debian/changelog ===
wslu (2.3.6-0ubuntu2~20.04.0) focal; urgency=medium

  * d/p/0011-src-wslu-header-reg.exe-path-not-properly-set.patch:
    - reg.exe path not properly set (LP: #1877016)
  * d/p/0012-src-wslfetch.sh-update-Ubuntu-logo.patch:
    - update Ubuntu logo (LP: #1883920)
  * d/p/0013-src-wslu-header-fix-an-issue-that-Ubuntu-will-not-be.patch:
    - fix an issue that Ubuntu will not be detected properly (LP: #1883924)

 -- Patrick Wu <patrick.wu@canonical.com>  Wed, 17 Jun 2020 21:11:36 +0800

wslu (2.3.6-0ubuntu1) focal; urgency=medium

  [ Patrick Wu ]
  * Upstream update to 2.3.6 to address critical issues (LP: #1871986)
    - wslupath manpage update
    - fixes that imported distro cannot be properly handled by baseexec_gen
    - fix an issue in handling dirty output in regenerate baseexec
    - fix an issue in generating ~/.config/baseexec
    - wslusc: fix an issue that will cause generated shortcut cannot be opened
      for some users
  * Update patches
  * debian/wsl-integration.sh: removal links in profile.d as requested by MSFT.
  * debian/wsl-integration.sh: Fix issue that space in username breaks 
    wsl-integration.sh. (LP: #1869878)
  * debian/wsl-integration.sh: Use /tmp folder for system users who do not have 
    $HOME. (LP: #1859509)

  [ Balint Reczey ]
  * debian/wsl-integration.sh: Suppress errors when saving $HOME/.cache. 
    (LP: #1859509)
  * debian/wsl-integration.sh: debian/wsl-integration.sh unset the right 
    variable at the end of script. (LP: #1857426)

 -- Patrick Wu <patrick.wu@canonical.com>  Thu, 09 Apr 2020 20:27:13 +0800

wslu (2.3.2-0ubuntu4) focal; urgency=medium

  * debian/wsl-integration.sh: Set timeouts for X and PulseAudio detection.
    This fixes long startup time when detection fails after waiting for long.
    (LP: #1855520)
  * Cache results of detecting X and sound server in $HOME/.config/wsl/integration-cache.
    Reuse results when starting new shells in the same runnig WSL Ubuntu instance.
    (LP: #1855898)
  * debian/wsl-integration.sh: Use pactl stat instead of pactl info in detection.
    Pactl stat is slightly faster, ~0.3s vs. ~0.45s with pactl info when running
    on WSL1.

 -- Balint Reczey <rbalint@ubuntu.com>  Wed, 11 Dec 2019 15:45:09 +0100

wslu (2.3.2-0ubuntu3) focal; urgency=medium

  * Detect X and PulseAudio in WSL2, too (LP: #1853343)
  * debian/wsl-integration.sh: Use type instead of which for faster execution.
    Also skip all detection steps when pactl and xvinfo are not installed.

 -- Balint Reczey <rbalint@ubuntu.com>  Mon, 25 Nov 2019 10:50:14 +0100

=== debian/watch ===
version=4
opts="repack,compression=xz,repacksuffix=+dfsg1,dversionmangle=s/\+dfsg.*$//i,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%wslu-$1.tar.gz%" \
      https://github.com/wslutilities/wslu/tags \
      (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## wslu 3.2.1

=== Makefile ===
AUTOMAKE_OPTIONS = foreign
DESTDIR ?=
PREFIX ?= /usr

HEADER = src/wslu-header
OUTPATH = out
MANPATH = docs
OUTMANPATH = out-docs
CURPATH = $(shell pwd)

SOURCES := $(wildcard src/*.sh)
ETCFILES := $(wildcard src/etc/*)
OUTFILES := $(wildcard out/*)
MANFILES := $(wildcard docs/*)
INSTEDEXES := $(wildcard $(DESTDIR)$(PREFIX)/bin/wsl*)
INSTEDMANOS := $(wildcard $(DESTDIR)$(PREFIX)/share/man/man1/wsl*)

DATETMP = $(shell date +%Y-%m-%d)
VERTMP = $(shell cat ./VERSION)

all: doc
	[ -d $(OUTPATH) ] || mkdir $(OUTPATH)
	sed -e s/VERSIONPLACEHOLDER/"$(VERTMP)"/g $(HEADER) > $(HEADER).tmp; \
	for file in $(SOURCES); do \
		cat $(HEADER).tmp $$file > $(OUTPATH)/`basename $$file`; \
		mv $(OUTPATH)/`basename $$file` $(OUTPATH)/`basename $$file .sh`; \
	done
	rm $(HEADER).tmp
	chmod +x $(OUTPATH)/*

install: doc_install res_install
	install -Dm 755 out/* -t $(DESTDIR)$(PREFIX)/bin

uninstall: 
	for f in $(INSTEDEXES); do \
		rm -f $$f; \
	done
	for f in $(INSTEDMANOS); do \
		rm -f $$f; \
	done
	rm -rf $(DESTDIR)$(PREFIX)/share/man/man7/wslu.7.gz
	rm -rf $(DESTDIR)$(PREFIX)/share/wslu

doc:
	[ -d $(OUTMANPATH) ] || mkdir $(OUTMANPATH)
	for file in $(MANFILES); do \
		cp $$file $(OUTMANPATH); \
		sed -e 's/DATEPLACEHOLDER/'$(DATETMP)'/' -e 's/VERSIONPLACEHOLDER/'$(VERTMP)'/' $(OUTMANPATH)/`basename $$file` > $(OUTMANPATH)/`basename $$file`.tmp; \
		mv $(OUTMANPATH)/`basename $$file`.tmp $(OUTMANPATH)/`basename $$file`; \
		gzip -f -q $(OUTMANPATH)/`basename $$file`; \
	done

doc_install:
	install -Dm 644 out-docs/*.1.gz -t $(DESTDIR)$(PREFIX)/share/man/man1
	install -Dm 644 out-docs/*.7.gz -t $(DESTDIR)$(PREFIX)/share/man/man7

res_install:
	install -Dm 644 src/etc/*.vbs -t $(DESTDIR)$(PREFIX)/share/wslu
	install -Dm 644 src/etc/*.ps1 -t $(DESTDIR)$(PREFIX)/share/wslu
	install -Dm 644 src/etc/*.ico -t $(DESTDIR)$(PREFIX)/share/wslu
	install -Dm 755 src/etc/*.sh -t $(DESTDIR)$(PREFIX)/share/wslu
	install -Dm 644 src/etc/*.desktop $(DESTDIR)$(PREFIX)/share/wslu

clean:
	rm -rf $(OUTPATH)
	rm -rf $(OUTMANPATH)

test:
	extras/bats/bin/bats -r tests

=== debian/changelog ===
wslu (3.2.1-0ubuntu1.1) groovy; urgency=medium

  * header: Avoid error message when the file doesn't
    exist (LP: #1911379)

 -- Patrick Wu <patrick.wu@canonical.com>  Wed, 13 Jan 2021 11:26:25 +0800

wslu (3.2.1-0ubuntu1) groovy; urgency=medium

  * Update from 2.3.6 to 3.2.1 to provide new features and
    address some issues (ffe lp: #1895525)
    - Documentation: add section 7 manpage: `wslu`
    - Documentation: updated manpage system
    - Documentation: New README language Esperanto
    - Project: updated build system
    - Project: versioning system update
    - Project: add separate Fedora Remix support
    - header: add `--verbose`
    - header: refactor the header in order to speed up
    - header: handling empty ~/.config/wslu/baseexec
    - header: use the proper color definition
    - header: fix `ubuntu.exe` detection issue
    - header: prevent localappdata not found in env
    - header: improvements on the system drive detection.
      (GH: #133, LP: #1888869)
    - header: fix badly generated shortcut issue (GH: #141)
    - wslact: brand new CLI
    - wslact: adding `--mount-options` for auto-mounting feature
    - wslact: fix an i18n related issue in time-sync feature 
      (GH: #113 by @ricardosantos9521)
    - wslact: add back-compatibility for the auto-mounting feature.
    - wslusc: brand new helper script (GH: #93)
    - wslusc: brand new shortcut icon
    - wslusc: always use the absolute path (fixes #129)
    - wslusc: fixes a possible white space path issue
    - wslusc: add convert not found warning
    - wslusc: fix the problem that the previous version that GUI shortcut
      generated won't work.
    - wslusc: When TMP is empty, try TEMP
    - wslusc: fix an issue that wsl.exe execute with wrongly passed param
      (GH: #138)
    - wslfetch: colorbar expanded
    - wslfetch: `--no-colorbar` become `--colorbar`
    - wslfetch: speed up execution time (GH: #100)
    - wslfetch: new display for WSL with WSL version displayed
    - wslfetch: use the proper logo for Ubuntu 
      (Reported by Martin Wimpress, LP: #1883920)
    - wslview: alias of `wslstart`, `wstart`, `wview` (GH: #64)
    - wslview: browser registration parameter change
    - wslview: handling file:/// protocol (GH: #66)
    - wslview: fix a mistake in `converted_file_path`
    - wslview: properly detect all different protocols and path styles 
      (GH: #118)
    - wslview: mistake in calling a variable (fixes #118 again)
    - wslview: fix a bug that it won't open `file:///mnt/c/...` 
      or `/mnt/c/...`
    - wslview: add wslview.desktop (GH: #143 and #146)
    - wslsys: Display Scaling Factor (help with Pengwin GH: #559)
    - wslsys: Windows Locale
    - wslsys: Windows Theme 
    - wslsys: speed up execution time 
    - wslsys: add WSL version option
    - wslsys: fix an issue in DPI scaling getting wrong value due to the API
      change in Latest fast ring insider build (Reported by @crramirez)
    - wslsys: fix an issue that the WSL Version shown is wrong.
    - package: missing call to `configure.sh`
    - package: fix alpine dependency issue (GH: #117)
    - tests: update the test system and tests. (GH: #125)

 -- Patrick Wu <patrick.wu@canonical.com>  Sun, 13 Sep 2020 22:36:33 +0800

wslu (2.3.6-0ubuntu3) groovy; urgency=medium

  * debian/rules:
    - update the svg conversion commands for the current inkscape
      version and fix the build      

 -- Patrick Wu <patrick.wu@canonical.com>  Wed, 01 Jul 2020 16:07:10 +0200

wslu (2.3.6-0ubuntu2) groovy; urgency=medium

  * d/p/0011-src-wslu-header-reg.exe-path-not-properly-set.patch:
    - reg.exe path not properly set (LP: #1877016)
  * d/p/0012-src-wslfetch.sh-update-Ubuntu-logo.patch:
    - update Ubuntu logo (LP: #1883920)
  * d/p/0013-src-wslu-header-fix-an-issue-that-Ubuntu-will-not-be.patch:
    - fix an issue that Ubuntu will not be detected properly (LP: #1883924)

 -- Patrick Wu <patrick.wu@canonical.com>  Wed, 17 Jun 2020 21:11:36 +0800

=== debian/control ===
Source: wslu
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: bats,
               debhelper (>= 10)
Standards-Version: 4.3.0.3
Vcs-Git: https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/wslu -b ubuntu/master
Vcs-Browser:  https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/wslu
Homepage: https://wslutiliti.es/wslu

Package: wslu
Architecture: all
Depends: ${misc:Depends},
         bc
Recommends: pulseaudio-utils,
            x11-utils,
            desktop-file-utils
Suggests: imagemagick
Provides: www-browser
Description: collection of utilities for the Windows 10 Linux Subsystem
 This is a collection of utilities for the Windows 10 Linux Subsystem, such
 as for converting Linux paths to a Windows paths or creating Linux application
 shortcuts on the Windows 10 Desktop.
 .
 Requires Windows 10 Creators Update and higher.

## wslu 3.2.3

=== Makefile ===
--- 
+++ 
@@ -66,4 +66,4 @@
 	rm -rf $(OUTMANPATH)
 
 test:
-	extras/bats/bin/bats -r tests
+	bats -r tests

=== debian/changelog ===
wslu (3.2.3-0ubuntu3) impish; urgency=medium

  * No-change rebuild to build packages with zstd compression.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Oct 2021 12:26:32 +0200

wslu (3.2.3-0ubuntu2) impish; urgency=medium

  * debian/control:
    - fix a Depends syntax error in the previous changes

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 13 May 2021 13:01:07 +0200

wslu (3.2.3-0ubuntu1) impish; urgency=medium

  * wslsys: fix an issue in call_windows_uptime
    (GH: #182)
  * header: fix a distro detection issue in 
    Ubuntu Impish (21.10)
  * debian/control: fix dependency issue in 
    installing wslu (LP: #1926771)
  * docs: include available commands in manpage 
    (GH: #169)
  * project: fix a problem that Powershell output
    non-unicode character (GH: #162)
  * wslview: fix an issue that caused the relative
    Linux path unable to be opened (GH: #165)
  * wslusc: fix an issue that some people unable
    to open their GUI application (GH: #174)
  * header: Avoid error message when the file doesn't
    exist (LP: 1911379)

 -- Patrick Wu <patrick.wu@canonical.com>  Wed, 12 May 2021 10:43:48 +0800

wslu (3.2.1-0ubuntu2) hirsute; urgency=medium

  * header: Avoid error message when the file doesn't
    exist (LP: 1911379)

 -- Patrick Wu <patrick.wu@canonical.com>  Wed, 13 Jan 2021 11:26:25 +0800

=== debian/control ===
--- 
+++ 
@@ -10,12 +10,12 @@
 Homepage: https://wslutiliti.es/wslu
 
 Package: wslu
-Architecture: all
+Architecture: amd64 arm64
 Depends: ${misc:Depends},
+         desktop-file-utils,
          bc
 Recommends: pulseaudio-utils,
-            x11-utils,
-            desktop-file-utils
+            x11-utils
 Suggests: imagemagick
 Provides: www-browser
 Description: collection of utilities for the Windows 10 Linux Subsystem

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_install:
	dh_auto_install

override_dh_auto_test:
	if (test -f /proc/sys/fs/binfmt_misc/WSLInterop && grep -q enabled /proc/sys/fs/binfmt_misc/WSLInterop); then \
		mkdir -p extras/bats/bin && ln -s /usr/bin/bats extras/bats/bin/ &&\
		dh_auto_test ; \
	else \
		echo "Skipping tests, they pass in WSL only with WSLInterop enabled"; \
	fi

override_dh_clean:
	dh_clean extras/bats/bin/

=== debian/tests/control ===
Tests: commands
Depends: @, @builddeps@
Restrictions: skippable
